Summary:	Simple program for reading/writing flash chips content
Name:		flashrom
Version:	1.3.0
Release:	1%{?dist}
License:	GPLv2
URL:		https://flashrom.org
Source0:	https://download.flashrom.org/releases/%{name}-v%{version}.tar.bz2


BuildRequires:	gcc meson 
BuildRequires:	pciutils-devel libusbx-devel libusb-devel
BuildRequires:	systemd zlib-devel
%ifarch x86_64 aarch64
BuildRequires:	dmidecode
Requires:	dmidecode
%endif
Requires:	udev


%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM images
on mainboards, network/graphics/storage controller cards, and various other
programmer devices.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides files for development with %{name}.



%prep
%autosetup -p1 -n %{name}-v%{version}
# Replace GROUP="plugdev" specifiers with TAG+="uaccess"
sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/flashrom_udev.rules -i



%build
%meson -Dtests=disabled
%meson_build



%install
%meson_install

install -D -pm0644 util/flashrom_udev.rules %{buildroot}/%{_udevrulesdir}/60_flashrom.rules
rm %{buildroot}/%{_libdir}/libflashrom.a


%check
%meson_test



%files
%license COPYING
%doc README
%{_sbindir}/%{name}
%{_udevrulesdir}/60_flashrom.rules
%{_libdir}/libflashrom.so.1
%{_libdir}/libflashrom.so.1.0.0
%{_mandir}/man8/%{name}.*

%files devel
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.3.0-1
- Upgrade to version 1.3.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 cunshunxia <cunshunxia@tencent.com> - 1.2-1
- initial build
